#!/usr/bin/perl -w 

# are we getting called back to provide the gif?
if ( $#ARGV == 0 )
{
	&getimage($ARGV[0]);
	exit;
}

# look at the Dilbert archive... break the HTML apart and get the list of HTML pages
#$getarchive = '/usr/bin/curl -s http://dilbert.com/comics/dilbert/archive/index.html | '
#		    . 'grep VALUE=\"/comics/dilbert/archive/dilbert- | '
#			. 'sed s/\.\*\<OPTION\\ VALUE=\"// | sed s/\".\*//';
$archive = `curl -s http://www.start.no/tegneserier/m/mstriper/`;

# now go through and spit each out
print "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
print "<plist version=\"1.0\">\n";
print "<dict>\n";

foreach $index ( split(/\n/, $archive) )
{
    #print "index inn: $index\n";
    if ($index =~ /\/icons\/image2.gif/) {
        $index =~ s/.*\<a href=\"//i;
	$index =~ s/\"\>.*//i;
	
	if ($index =~ /^m/) {
	    print "\t<key>", substr($index, 1, 4), "-", substr($index, 5, 2 ), "-", substr($index, 7, 2 ), "</key>\n";
	} else {
	    if ($index =~ /\d{8}/) {		# ARRRRGH!  Det finnes en der inni med 6 talls dato, som dessuten ogs ligger inne i 8 talls dato
		print "\t<key>", substr($index, 4, 4), "-", substr($index, 2, 2 ), "-", substr($index, 0, 2 ), "</key>\n";
	    } else {
		next;
	    }
	}

	# print the date and request we be called back to get the image given the
	# page for the specific date as the parameter
	print "\t<dict>\n";
	print "\t\t<key>image</key>\n";
	print "\t\t<string>http://www.start.no/tegneserier/m/mstriper/", $index, "</string>\n";
	print "\t</dict>\n";
    }
}

print "</dict>\n";
print "</plist>\n";

exit;

