#!/usr/bin/perl -w 

# are we getting called back to provide the gif?
if ( $#ARGV == 0 )
{
	&getimage($ARGV[0]);
	exit;
}

# look at the Dilbert archive... break the HTML apart and get the list of HTML pages
#$getarchive = '/usr/bin/curl -s http://dilbert.com/comics/dilbert/archive/index.html | '
#		    . 'grep VALUE=\"/comics/dilbert/archive/dilbert- | '
#			. 'sed s/\.\*\<OPTION\\ VALUE=\"// | sed s/\".\*//';

print "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
print "<plist version=\"1.0\">\n";
print "<dict>\n";

for ($i = 14; $i >= 0; $i--) {
    ($NULL, $NULL, $NULL, $mday, $mon, $year, $NULL, $NULL, $NULL) = localtime(time - $i * (24 * 60 * 60));
    $curlArg = sprintf("m%04d%02d%02d.gif", ($year + 1900), ($mon + 1), $mday);
    if (`curl -s -f -I http://www.start.no/tegneserier/m/mstriper/$curlArg`) {
	printf ("\t<key>%04d-%02d-%02d</key>\n", ($year + 1900), ($mon + 1), $mday);

	print "\t<dict>\n";
	print "\t\t<key>image</key>\n";
	print "\t\t<string>http://www.start.no/tegneserier/m/mstriper/", $curlArg, "</string>\n";
	print "\t</dict>\n";
    }
}

print "</dict>\n";
print "</plist>\n";

exit;

